Search:

# CWIS Developers Documentation

Public Member Functions | Public Attributes

# PSTable Class Reference

## Public Member Functions
| PSTable (&$Document)
| XOrigin ($NewXOrigin=-1)
| YOrigin ($NewYOrigin=-1)
| XSize ($NewXSize=-1)
| YSize ($NewYSize=-1)
| NumCols ($NewNumCols=-1)
| NumRows ($NewNumRows=-1)
| ShadeColumnHeadings ($NewShadeColumnHeadings=-1)
| CellXPos ($Col)
| CellYPos ($Row)
| ColWidth ($Col, $Width=-1)
| RowHeight ($Row, $Width=-1)
| PrintTextInCell ($Row, $Col, $TextToPrint)
| PrintTable ()
| RecalcActualRowHeights ()
| RecalcActualColumnWidths ()
## Public Attributes
| $XSize = 300
| $YSize = 300
| $AdjXSize = 300
| $AdjYSize = 300
| $NumCols = 3
| $NumRows = 3
| $RequestedColumnWidths
| $RequestedRowHeights
| $ColumnWidths
| $RowHeights
| $ColumnStartPoints
| $RowStartPoints
| $XOrigin = 100
| $YOrigin = 400
| $Doc
| $ShadeColumnHeadings = "FALSE"

List of all members.

## Detailed Description

Definition at line 19 of file Axis--PSTable.php.

## Member Function Documentation

PSTable::CellXPos | ( | $ | Col ) |

Definition at line 40 of file Axis--PSTable.php.

References XOrigin().

Referenced by PrintTextInCell().

Here is the caller graph for this function:

PSTable::CellYPos | ( | $ | Row ) |

Definition at line 41 of file Axis--PSTable.php.

References YOrigin().

Referenced by PrintTable(), and PrintTextInCell().

Here is the caller graph for this function:

PSTable::ColWidth | ( | $ | Col,
|  | $ | Width = `-1`
| ) |  |

Definition at line 44 of file Axis--PSTable.php.

References RecalcActualColumnWidths().

Referenced by PrintTable().

Here is the caller graph for this function:

PSTable::NumCols | ( | $ | NewNumCols = `-1` ) |

Definition at line 35 of file Axis--PSTable.php.

References NumCols(), and RecalcActualColumnWidths().

Referenced by NumCols(), PrintTable(), and RecalcActualColumnWidths().

Here is the caller graph for this function:

PSTable::NumRows | ( | $ | NewNumRows = `-1` ) |

Definition at line 36 of file Axis--PSTable.php.

References NumRows(), and RecalcActualRowHeights().

Referenced by NumRows(), PrintTable(), and RecalcActualRowHeights().

Here is the caller graph for this function:

PSTable::PrintTable | ( | ) |

Definition at line 97 of file Axis--PSTable.php.

References CellYPos(), ColWidth(), NumCols(), NumRows(), RowHeight(), ShadeColumnHeadings(), XOrigin(), XSize(), YOrigin(), and YSize().

PSTable::PrintTextInCell | ( | $ | Row,
|  | $ | Col,
|  | $ | TextToPrint
| ) |  |

Definition at line 75 of file Axis--PSTable.php.

References CellXPos(), and CellYPos().

PSTable::PSTable | ( | &$ | Document ) |

Definition at line 24 of file Axis--PSTable.php.

PSTable::RecalcActualColumnWidths | ( | ) |

Definition at line 227 of file Axis--PSTable.php.

References NumCols(), and XSize().

Referenced by ColWidth(), NumCols(), and XSize().

Here is the caller graph for this function:

PSTable::RecalcActualRowHeights | ( | ) |

Definition at line 181 of file Axis--PSTable.php.

References NumRows(), and YSize().

Referenced by NumRows(), RowHeight(), and YSize().

Here is the caller graph for this function:

PSTable::RowHeight | ( | $ | Row,
|  | $ | Width = `-1`
| ) |  |

Definition at line 59 of file Axis--PSTable.php.

References RecalcActualRowHeights().

Referenced by PrintTable().

Here is the caller graph for this function:

PSTable::ShadeColumnHeadings | ( | $ | NewShadeColumnHeadings = `-1` ) |

Definition at line 37 of file Axis--PSTable.php.

References ShadeColumnHeadings().

Referenced by PrintTable(), and ShadeColumnHeadings().

Here is the caller graph for this function:

PSTable::XOrigin | ( | $ | NewXOrigin = `-1` ) |

Definition at line 31 of file Axis--PSTable.php.

References XOrigin().

Referenced by CellXPos(), PrintTable(), and XOrigin().

Here is the caller graph for this function:

PSTable::XSize | ( | $ | NewXSize = `-1` ) |

Definition at line 33 of file Axis--PSTable.php.

References RecalcActualColumnWidths(), and XSize().

Referenced by PrintTable(), RecalcActualColumnWidths(), and XSize().

Here is the caller graph for this function:

PSTable::YOrigin | ( | $ | NewYOrigin = `-1` ) |

Definition at line 32 of file Axis--PSTable.php.

References YOrigin().

Referenced by CellYPos(), PrintTable(), and YOrigin().

Here is the caller graph for this function:

PSTable::YSize | ( | $ | NewYSize = `-1` ) |

Definition at line 34 of file Axis--PSTable.php.

References RecalcActualRowHeights(), and YSize().

Referenced by PrintTable(), RecalcActualRowHeights(), and YSize().

Here is the caller graph for this function:

## Member Data Documentation

PSTable::$AdjXSize = 300

Definition at line 274 of file Axis--PSTable.php.

PSTable::$AdjYSize = 300

Definition at line 275 of file Axis--PSTable.php.

PSTable::$ColumnStartPoints

Definition at line 290 of file Axis--PSTable.php.

PSTable::$ColumnWidths

Definition at line 286 of file Axis--PSTable.php.

PSTable::$Doc

Definition at line 298 of file Axis--PSTable.php.

PSTable::$NumCols = 3

Definition at line 278 of file Axis--PSTable.php.

PSTable::$NumRows = 3

Definition at line 279 of file Axis--PSTable.php.

PSTable::$RequestedColumnWidths

Definition at line 282 of file Axis--PSTable.php.

PSTable::$RequestedRowHeights

Definition at line 283 of file Axis--PSTable.php.

PSTable::$RowHeights

Definition at line 287 of file Axis--PSTable.php.

PSTable::$RowStartPoints

Definition at line 291 of file Axis--PSTable.php.

PSTable::$ShadeColumnHeadings = "FALSE"

Definition at line 301 of file Axis--PSTable.php.

PSTable::$XOrigin = 100

Definition at line 294 of file Axis--PSTable.php.

PSTable::$XSize = 300

Definition at line 270 of file Axis--PSTable.php.

PSTable::$YOrigin = 400

Definition at line 295 of file Axis--PSTable.php.

PSTable::$YSize = 300

Definition at line 271 of file Axis--PSTable.php.

The documentation for this class was generated from the following file:

- Axis--PSTable.php